﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Runtime.Serialization;
using DlhSoft.Windows.Data;

namespace GanttChartTaskListViewXmlFileSample
{
    // Use DataContract and DataMember attributes to define entity serialization behavior.
    [DataContract]
    class TaskItem
    {
        [DataMember]
        public string Content { get; set; }
        [DataMember]
        public int Indentation { get; set; }
        [DataMember]
        public bool IsExpanded { get; set; }
        [DataMember]
        public DateTime Start { get; set; }
        [DataMember]
        public TimeSpan Effort { get; set; }
        [DataMember]
        public TimeSpan Duration { get; set; }
        [DataMember]
        public DateTime Finish { get; set; }
        [DataMember]
        public bool IsMilestone { get; set; }
        [DataMember]
        public TimeSpan CompletedEffort { get; set; }
        [DataMember]
        public double Completion { get; set; }
        [DataMember]
        public bool IsCompleted { get; set; }
        [DataMember]
        public string AssignmentsString { get; set; }
        [DataMember]
        public string IndexString { get; set; }
        [DataMember]
        public string PredecessorsString { get; set; }
        [DataMember]
        public double Cost { get; set; }
    }
}
